//alert("ml_Fsound.js");
//--------------------------------------------------------------------------------------      
// Klasse Sound
//--------------------------------------------------------------------------------------      

//--------------------------------------------------------------------------------------      
// Konstruktor
//--------------------------------------------------------------------------------------      
function Sound() {
	// Eigenschaften
	this.firstStart = true;
	this.runs = false;
	this.aname = "";
}

//--------------------------------------------------------------------------------------
// Methoden
//--------------------------------------------------------------------------------------

//--------------------------------------------------------------------------------------      
// Methode startFrameAudio(pname) (z.B. ml_sound.startFrameAudio("a000001a");)
//--------------------------------------------------------------------------------------
Sound.prototype.startFrameAudio = function(myAudio) {
	//alert(myAudio);
	this.aname = myAudio;
	//alert(this.aname);
	if (this.firstStart) {
		this.domAudioElement = mln_iframe_sound.document.querySelector("#frame_audio");
		this.domAudioElement.addEventListener('ended', this.audio_ended, false);
		//
		this.domAudioElement.addEventListener('stalled', this.audio_stalled, false);
		this.domAudioElement.addEventListener('error', this.audio_error, false);
		//
		//alert(this.domAudioElement);
		this.firstStart = false;
	};
	var mySrc = myAudio + ".mp3";
	//alert(mySrc);
	this.domAudioElement.mlName = mySrc;
	this.domAudioElement.src = mySrc;
	this.runs = true;
	this.ml_suspended = false;
	this.domAudioElement.play();
};
//--------------------------------------------------------------------------------------      
// Methode pauseFrameAudio() (z.B. ml_sound.pauseFrameAudio(); pausiert das Audio)
//--------------------------------------------------------------------------------------      
Sound.prototype.pauseFrameAudio = function() {
	if (this.runs) {
		this.ml_suspended = true;
		this.domAudioElement.pause();
	};	
};
//--------------------------------------------------------------------------------------      
// Methode resumeFrameAudio() (z.B. ml_sound.resumeFrameAudio(); lässt das Audio weiterspielen)
//--------------------------------------------------------------------------------------      
Sound.prototype.resumeFrameAudio = function() {
	if (this.runs) {
		this.ml_suspended = false;
		this.domAudioElement.play();
	};	
};

//--------------------------------------------------------------------------------------      
// Methode audio_ended; wird vom EventListener aufgerufen, wenn Audio endet
// ("!nur für Instanz ml_sound!")
//--------------------------------------------------------------------------------------      
Sound.prototype.audio_ended = function(e) {
	ml_sound.runs = false;
	//
	var audioname = ml_sound.aname;
	audioname = audioname.substring(audioname.lastIndexOf('/')+1);
	//alert("Sound(audio_ended): " + audioname + " / ml_sound.runs = " + ml_sound.runs);
	//
	ml_navigation.set_step_fertig("audio");
};
Sound.prototype.audio_stalled = function(e) {
	if (!ml_sound.ml_suspended) {
		ml_sound.startFrameAudio(ml_sound.aname);
	};
};
Sound.prototype.audio_error = function(e) {
	//alert("audio_error");
};
