//alert("ml_Fcommon.js");
//--------------------------------------------------------------------------------------      
// Klasse Frame
//--------------------------------------------------------------------------------------      

//--------------------------------------------------------------------------------------      
// Konstruktor
//--------------------------------------------------------------------------------------      
function Frame() {
	// Eigenschaften
}

//--------------------------------------------------------------------------------------
// Methoden
//--------------------------------------------------------------------------------------

//--------------------------------------------------------------------------------------
Frame.prototype.loadrQuit = function() {
	var myURL = "rquit/ml_rquit.html";
	$("#mlid_iframe_rquit").attr("src", myURL);
	//alert("loadrQuit");
};
//--------------------------------------------------------------------------------------
Frame.prototype.loadHeader = function() {
	var myURL = "header/ml_header.html";
	//var myURL = "header/header.html";
	$("#mlid_iframe_header").attr("src", myURL);
};
//--------------------------------------------------------------------------------------
Frame.prototype.loadContent = function(param, param2) {
	ml_sound.startFrameAudio("");
	//alert("loadContent: "+param);
	var seite = "none";
	switch (param) {
		case "prev":
			//alert("ToDo: vorherige Seite der aktuellen Seite laden.");
			var aktuelle_seite = ml_navigation.get_aktuelleSeite();
			var seitenindex = this.getSeitenIndex(aktuelle_seite);
			var myPrev = this.getSeitenPrev(seitenindex);
			var seite = myPrev;
			break;
		case "next":
			//alert("ToDo: nächste Seite der aktuellen Seite laden.");
			var aktuelle_seite = ml_navigation.get_aktuelleSeite();
			var seitenindex = this.getSeitenIndex(aktuelle_seite);
			var myNext = this.getSeitenNext(seitenindex);
			//Sonderfall Abschlusstest
			if (myNext == "ptest") {
				myNext = ml_navigation.getNextTestPage(aktuelle_seite);
			};
			//Ende Sonderfall Abschlusstest
			var seite = myNext;
			break;
		case "toc":
			var seite = param2;
			break;
		default:
			var seite = param;
			break;
	}
	// Für Fussleistentext
	var aktuelle_seite = ml_navigation.get_aktuelleSeite();
	switch (aktuelle_seite) {
		case "pwizard0":
			var tmp = Tormassetxt + " " + v_torbreite + Tmmtxt + Torbreitetxt + " x " + v_torhoehe + Tmmtxt + Torhoehetxt;
			fussleistetxt = aktuelleAuswahltxt + " " + tmp;
			fussleistebak = fussleistetxt;
			break;
		case "pwizard_SPU_2a":
			var mysf = sf_fenster_zeile[gewaehltes_lamellenfenster_data][spalte_sf_fenster_anzeige];
			var tmp = LFtxt + " " + v_sf_anzahl + " x " + mysf;
			fussleistetxt = fussleistebak + ", " + tmp;
			fussleistebak = fussleistetxt;
			break;		
		case "pwizard_SPU_2b1":
			// Art der Verglasung
			var myAdV = u_wert_zeile[gewaehlter_aluverglasungsrahmen_data][spalte_spu_2b];
			// Höhe Verglasungsrahmen
			var myHVR = v_torhoehe_sockel;
			var tmp = AVR42txt + " " + myAdV + " (" + myHVR + Tmmtxt + ")";
			//alert("tmp="+tmp);
			fussleistetxt = fussleistebak + ", " + tmp;
			fussleistebak = fussleistetxt;		
			break;
		case "pwizard_SPU_2b2":
			// Art der Verglasung
			var myAdV = u_wert_zeile[gewaehlter_aluverglasungsrahmen_data][spalte_spu_2b];
			// Höhe Verglasungsrahmen
			var myHVR = v_torhoehe_sockel;
			var tmp = AVR67txt + " " + myAdV + " (" + myHVR + Tmmtxt + ")";
			fussleistetxt = fussleistebak + ", " + tmp;
			fussleistebak = fussleistetxt;		
			break;
		case "pwizard_APU_3":
			// Art der Verglasung
			var myAdV = u_wert_zeile[gewaehlte_apuverglasung_data][spalte_apu_3];
			var tmp = myAdV;
			fussleistetxt = fussleistebak + ", " + tmp;
			fussleistebak = fussleistetxt;		
			break;
		case "pwizard_ALR_3":
			// Art der Verglasung
			//  gleich mit APU3
			var myAdV = u_wert_zeile[gewaehlte_apuverglasung_data][spalte_apu_3];
			var tmp = myAdV;
			fussleistetxt = fussleistebak + ", " + tmp;
			fussleistebak = fussleistetxt;		
			break;
		case "pwizard_S_Line_2":
			// Art der Verglasung
			//  gleich mit APU3
			var myAdV = u_wert_zeile[gewaehlte_apuverglasung_data][spalte_apu_3];
			var tmp = myAdV;
			fussleistetxt = fussleistebak + ", " + tmp;
			fussleistebak = fussleistetxt;
			break;
		case "pwizard_vitraplan_1":
			// Art der Verglasung
			//  gleich mit APU3
			var myAdV = u_wert_zeile[gewaehlte_apuverglasung_data][spalte_apu_3];
			var tmp = myAdV;
			fussleistetxt = fussleistebak + ", " + tmp;
			fussleistebak = fussleistetxt;
			break;
		case "pwizard_glazing_2":
			// Art der Verglasung
			//  gleich mit APU3
			var myAdV = u_wert_zeile[gewaehlte_apuverglasung_data][spalte_apu_3];
			var tmp = myAdV;
			fussleistetxt = fussleistebak + ", " + tmp;
			fussleistebak = fussleistetxt;
			break;
		case "pwizard6":
			var tmp = HGStxt + " " + v_heizgradstunden + " " + Tkhtxt;
			fussleistetxt = fussleistebak + ", " + tmp;
			fussleistebak = fussleistetxt;		
			break;
		default:
			break;
	}
	//alert ("seite = " + seite);
	//
	// Eventuell Buttons disabeln
	//ml_navigation.setHButtonStatus(seite);
	//
//	if (seite == "p000001") {
//		if (ml_navigation.menue_use) {
//			$("#mlid_div_menue").css("display", "block");
//			var myURL1 = "png/slider-left.png";
//			$("#mlid_img_slider_png").attr("src", myURL1);
//			$("#mlid_div_menue_rand").css("cursor", "pointer");
//			//alert("Menü aktiv");
//		} else {
//			$("#mlid_div_menue").css("display", "block");
//			var myURL2 = "png/slider-left-off.png";
//			$("#mlid_img_slider_png").attr("src", myURL2);
//			$("#mlid_div_menue_rand").css("cursor", "auto");
//			//alert("Menü inaktiv");
//		}
//	}
//	if (seite == "pintro") {
//		$("#mlid_div_menue").css("display", "none");
//	}
	if (seite != "none") {
		var seitenindex = this.getSeitenIndex(seite);
		//alert ("seitenindex = " + seitenindex);
		//console.log(seite);
		//
		// Seite in den Content_iFrame laden
		var myURL = this.getSeitenURL(seitenindex);
		$("#mlid_iframe_content").attr("src", myURL);
		//
		ml_navigation.set_aktuelleSeite(seite);
//		ml_navigation.setHSeitenTitel(seitenindex);	
		//---------------------------------------------------------------------------
		// Tab-Handling, Tab bleibt fett, wenn entsprechender Abschnitt geladen wurde
		switch (seite) {
			case "pinfo1":
				mln_iframe_header.set_Tab_info_bold();
				break;
			case "pwizard0":
				mln_iframe_header.set_Tab_assistent_bold();
				break;
			case "pformular":
				mln_iframe_header.set_Tab_gesamtmaske_bold();
				break;
			case "pintro":
				mln_iframe_header.set_Tabs_normal();
				break;
			default:
				break;
		}
		//---------------------------------------------------------------------------	
	} else {
		//alert("neue Seite kann nicht geladen werden!");
		ml_navigation.setContentReady(true);
	};
};
//--------------------------------------------------------------------------------------
Frame.prototype.getSeitenIndex = function(seite) {
	for (var i=0; i < ml_Struktur.length; i++) {
		if (ml_Struktur[i].seite == seite) {
			return i;
		};
	};
};
//--------------------------------------------------------------------------------------
Frame.prototype.getSeitenURL = function(seitenindex) {
	// z.B. "content/chapter0/"+"p000001"+".html"
	return ml_Struktur[seitenindex].pfad + ml_Struktur[seitenindex].seite + ".html";	
};
//--------------------------------------------------------------------------------------
Frame.prototype.getSeitenPrev = function(seitenindex) {
	return ml_Struktur[seitenindex].prev;
};
//--------------------------------------------------------------------------------------
Frame.prototype.getSeitenNext = function(seitenindex) {
	return ml_Struktur[seitenindex].next;
};
//--------------------------------------------------------------------------------------
Frame.prototype.getSeitenKapiteltext = function(seitenindex) {
	var kapitelnummer = ml_Struktur[seitenindex].kapitel;
	var tvar = "kapiteltext";
	eval(tvar + " = TKapitel"+kapitelnummer);
	//alert(kapiteltext);
	return kapiteltext; 
};
//--------------------------------------------------------------------------------------
Frame.prototype.getSeitenTitel = function(seitenindex) {
	return ml_Struktur[seitenindex].titel;
};
