//alert("ml_Fcalculations.js");
//--------------------------------------------------------------------------------------
// Variablen zurücksetzen
function reset_variables() {
	v_abdichtungsart = "ohne";
	v_torbreite = "0";
	v_torhoehe = "0";
	v_rampenhoehe = "0";
	v_AWS = "0";
	v_AIT = "0";
	v_AOT = "0";
	v_hdo = "0";
	v_ROIy = "0";
	v_ROIy2 = "0";
	v_ROIm = "0";
	v_A = "0";
	v_A1_DSL = "0";
	v_A1_DAS = "0";
	v_A2_DSL = "0";
	v_A2_DAS = "0";
	//
	k_AWS = "0,27777777"; // Wert, mit dem gerechnet wird
	k_AWS_Anzeige = "0,2777"; // nur für die Anzeige im Content
	k_Rf = "0,80";
	k_CFM = "1,2";
	k_mpy = "12";
	//
	k_eck_torgroesse = "0,325";
	//
	k_Lh = "3,8";
	k_Lb = "2,5";
	//
	k_abdg_DSL = "0,6";
	k_abdg_DAS = "0,85";
	//
	r_energy = "gas";
	//r_energy = "electricity";
	//r_energy = "oil";
	//
	d_gas = "1";
	d_electricity = "1";
	d_oil = "10";
	//
	p_gas = "0,0452";
	p_electricity = "0,123";
	p_oil = "0,80";
	//v_dpw = "5";
	//v_dpy = "52";
	v_dpw = "0";
	v_dpy = "0";
	//
	bw = "false";
	ROIbw = "";	
	bwTyp = "0"; // "1" für DSL, "2" für DAS
	//
	v_torgroesse = "0";
	v_FPM = "0";
	v_CFM = "0";
	v_TD = "0";
	v_BTUh = "0";
	c_gas = "0";
	c_electricity = "0";
	c_oil = "0";
	v_energy = "0";
	v_cpu = "0";
	v_cpd = "0";
	v_LPW = "0";
	v_LPY = "0";
	//
	v_aLPY1 = "0";
	v_aLPY2 = "0";	
	//
	gew_formular = "0";
}      
//--------------------------------------------------------------------------------------      
function bw1() {
	if (gew_formular == "1") {
		if (bwTyp == "1") {
			v_LPY = P2K(K2P(v_A1_DSL)/K2P(v_ROIy));
		}
		if (bwTyp == "2") {
			v_LPY = P2K(K2P(v_A1_DAS)/K2P(v_ROIy2));
		}
	}
	if (gew_formular == "2") {
		if (bwTyp == "1") {
			v_aLPY1 = P2K(K2P(v_A2_DSL)/K2P(v_ROIy));
			v_LPY = P2K(K2P(v_aLPY1)/K2P(k_abdg_DSL));
			v_aLPY1 = P2K(Math.round(K2P(v_aLPY1)*100)/100);
		}
		if (bwTyp == "2") {
			v_aLPY2 = P2K(K2P(v_A2_DAS)/K2P(v_ROIy2));
			v_LPY = P2K(K2P(v_aLPY2)/K2P(k_abdg_DAS));
			v_aLPY2 = P2K(Math.round(K2P(v_aLPY2)*100)/100);
		}
	}
	v_LPY = P2K(Math.round(K2P(v_LPY)*100)/100);
	v_LPW = P2K(K2P(v_LPY)/K2P(v_dpy));
	v_LPW = P2K(Math.round(K2P(v_LPW)*100)/100);
	v_cpd = P2K(K2P(v_LPW)/K2P(v_dpw));
	v_cpd = P2K(Math.round(K2P(v_cpd)*100)/100);
	v_energy = P2K(K2P(v_cpd)/K2P(v_cpu));
	//
	switch(r_energy) {
		case "gas":
			v_energy = P2K(Math.round(K2P(v_energy)*1000)/1000);
			c_gas = v_energy;
			v_dBTU = P2K(K2P(c_gas)*K2P(d_gas));
			break;
		case "electricity":
			v_energy = P2K(Math.round(K2P(v_energy)*100)/100);
			c_electricity = v_energy;
			v_dBTU = P2K(K2P(c_electricity)*K2P(d_electricity));
			break;
		case "oil":
			v_energy = P2K(Math.round(K2P(v_energy)*100)/100);
			c_oil = v_energy;
			v_dBTU = P2K(K2P(c_oil)*K2P(d_oil));
			break;
		default:
			break;
	}
	v_dBTU = P2K(Math.round(K2P(v_dBTU)));
	// Gesamtmaske (pformular.js)
	mln_iframe_content.setze_LPY();
	mln_iframe_content.setze_LPW();
	mln_iframe_content.setze_cpd();
	mln_iframe_content.setze_energy();
	mln_iframe_content.setze_dBTU();
}
//
function bw2a() {
	v_BTUh = P2K(K2P(v_dBTU)/K2P(v_hdo));
//	v_BTUh = P2K(Math.round(K2P(v_BTUh)));
	v_BTUh = P2K(rundeZahl(K2P(v_BTUh),2));
	v_TD = P2K(K2P(v_BTUh)/K2P(v_CFM)/K2P(k_CFM));
	v_TD = P2K(Math.round(K2P(v_TD)*100)/100);
	// Gesamtmaske (pformular.js)
	mln_iframe_content.setze_BTUh();
	mln_iframe_content.setze_TD();
}
//
function bw2b() {
	v_BTUh = P2K(K2P(v_dBTU)/K2P(v_hdo));
//	v_BTUh = P2K(Math.round(K2P(v_BTUh)));
	v_BTUh = P2K(rundeZahl(K2P(v_BTUh),2));
	v_CFM = P2K(K2P(v_BTUh)/K2P(k_CFM)/K2P(v_TD));
	v_CFM = P2K(Math.round(K2P(v_CFM)*100)/100);
	v_FPM = P2K(K2P(v_CFM)/K2P(v_torgroesse)/K2P(k_Rf));
	v_FPM = P2K(Math.round(K2P(v_FPM)*100)/100);
	// Gesamtmaske (pformular.js)
	mln_iframe_content.setze_BTUh();
	mln_iframe_content.setze_CFM();
	mln_iframe_content.setze_FPM();
}
//
function ROIy2AWS() {
	bw1();
	bw2b();
	v_AWS = P2K(K2P(v_FPM)/K2P(k_AWS));
	v_AWS = P2K(Math.round(K2P(v_AWS)*100)/100);
	// Gesamtmaske (pformular.js)
	mln_iframe_content.setze_AWS();
}
//
function ROIy2AIT() {
	bw1();
	bw2a();
	v_AIT = P2K(Number(K2P(v_TD))+Number(K2P(v_AOT)));
	// Gesamtmaske (pformular.js)
	mln_iframe_content.setze_AIT();
}
//
function ROIy2AOT() {
	bw1();
	bw2a();
	v_AOT = P2K(K2P(v_AIT)-K2P(v_TD));
	// Gesamtmaske (pformular.js)
	mln_iframe_content.setze_AOT();
}
// ROIy2hdo
function ROIy2hdo() {
	bw1();
	v_hdo = P2K(K2P(v_dBTU)/K2P(v_BTUh));
	v_hdo = P2K(Math.round(K2P(v_hdo)*100)/100);
	// Gesamtmaske (pformular.js)
	mln_iframe_content.setze_hdo();
}
// ROIy2A
function ROIy2A() {
	if (gew_formular == "1") {
		v_A1_DSL = P2K(K2P(v_ROIy)*K2P(v_LPY));
		v_A1_DSL = P2K(Math.round(K2P(v_A1_DSL)));
		v_A1_DAS = P2K(K2P(v_ROIy2)*K2P(v_LPY));
		v_A1_DAS = P2K(Math.round(K2P(v_A1_DAS)));
	}
	if (gew_formular == "2") {
		v_A2_DSL = P2K(K2P(v_ROIy)*K2P(v_aLPY1));
		v_A2_DSL = P2K(Math.round(K2P(v_A2_DSL)));
		v_A2_DAS = P2K(K2P(v_ROIy2)*K2P(v_aLPY2));
		v_A2_DAS = P2K(Math.round(K2P(v_A2_DAS)));
	}
	// Gesamtmaske (pformular.js)
	mln_iframe_content.setze_A();
}
//
function bestimmeROIbw() {
	var T = 0;
	var tmp;
	//
	if (v_AWS == "") {
		T = T+1;
	}
	if (v_AOT == "") {
		T = T+2;
	}
	if (v_AIT == "") {
		T = T+4;
	}
	if (v_hdo == "") {
		T = T+8;
	}
	if (v_A == "") {
		T = T+16;
	}
	if (v_A1_DSL == "" && gew_formular == "1") {
		T = 99;
		tmp = "A_txt";
	}
	if (v_A1_DAS == "" && gew_formular == "1") {
		T = 99;
		tmp = "A2_txt";
	}
	if (v_A2_DSL == "" && gew_formular == "2") {
		T = 99;
		tmp = "A_txt";
	}
	if (v_A2_DAS == "" && gew_formular == "2") {
		T = 99;
		tmp = "A2_txt";
	}
	switch (T) {
	case 0 :
		tmp = "A_txt";
		break;
	case 1 :
		tmp = "AWS_txt";
		break;
	case 2 :
		tmp = "AOT_txt";
		break;
	case 4 :
		tmp = "AIT_txt";
		break;
	case 8 :
		tmp = "hdo_txt";
		break;
	case 16 :
		tmp = "A_txt";
		break;
	case 99 :
		break;
	default :
		tmp = "";
		break;
	}
	return tmp;
}
//
function bwROIy() {
	var ROIbw;
	if (bw == "false") {
		ROIbw = bestimmeROIbw();
		bw = "true";
	}
	if (bw == "true") {
		switch (ROIbw) {
		case "AWS_txt" :
			ROIy2AWS();
			break;
		case "AIT_txt" :
			ROIy2AIT();
			break;
		case "AOT_txt" :
			ROIy2AOT();
			break;
		case "hdo_txt" :
			ROIy2hdo();
			break;
		case "A_txt" :
		case "A2_txt" :
			ROIy2A();
			break;
		}
	}
}
//
// ROIm2ROIy
function ROIm2ROIy() {
	v_ROIy = P2K(K2P(v_ROIm)/K2P(k_mpy));
	v_ROIy = P2K(Math.round(K2P(v_ROIy)*100)/100);
	// Gesamtmaske (pformular.js)
	mln_iframe_content.setze_ROIy();
	bwROIy();
}
// Torgröße berechnen
function berechneTorgroesse() {
	//v_torgroesse = P2K(K2P(v_torbreite)*K2P(v_torhoehe));
	var Lheff = K2P(k_Lh)-K2P(v_rampenhoehe);
	v_torgroesse = P2K((K2P(v_torbreite)-K2P(k_Lb))*Lheff+K2P(v_torbreite)*(K2P(v_torhoehe)-Lheff));
	if (K2P(v_torgroesse) < 0) {v_torgroesse = "0";};
	v_torgroesse = P2K(rundeZahl(K2P(v_torgroesse), 2));
	// Gesamtmaske (pformular.js)
	mln_iframe_content.setze_Torgroesse();
	berechneCFM();
}
//
// FPM berechnen
function berechneFPM() {
	v_FPM = P2K(K2P(v_AWS)*K2P(k_AWS));
	v_FPM = P2K(rundeZahl(K2P(v_FPM), 2));
	// Gesamtmaske (pformular.js)
	mln_iframe_content.setze_FPM();
	berechneCFM();
}
//
// CFM berechnen
function berechneCFM() {
	v_CFM = P2K(K2P(v_torgroesse)*K2P(k_Rf)*K2P(v_FPM));
	v_CFM = P2K(rundeZahl(K2P(v_CFM), 2));
	// Gesamtmaske (pformular.js)
	mln_iframe_content.setze_CFM();
	berechneBTUh();
}
//
// TD berechnen
function berechneTD() {
	v_TD = P2K(K2P(v_AIT)-K2P(v_AOT));
	v_TD = P2K(rundeZahl(K2P(v_TD), 2));
	// Betrag
	v_TD = P2K(Math.abs(K2P(v_TD)));
	// Gesamtmaske (pformular.js)
	mln_iframe_content.setze_TD();
	berechneBTUh();
}
//
// BTUh berechnen
function berechneBTUh() {
	v_BTUh = P2K(K2P(v_CFM)*K2P(k_CFM)*K2P(v_TD));
	//v_BTUh = P2K(Math.round(K2P(v_BTUh)));
	v_BTUh = P2K(rundeZahl(K2P(v_BTUh),2));
	// Gesamtmaske (pformular.js)
	mln_iframe_content.setze_BTUh();
	berechnedBTU();
}
//
// dBTU berechnen
function berechnedBTU() {
	v_dBTU = P2K(K2P(v_BTUh)*K2P(v_hdo));
	v_dBTU = P2K(rundeZahl(K2P(v_dBTU), 2));
	// Gesamtmaske (pformular.js)
	mln_iframe_content.setze_dBTU();
	berechne_energy();
}
//
// energy berechnen
function berechne_energy() {
	c_gas = P2K(K2P(v_dBTU)/K2P(d_gas));
	c_electricity = P2K(K2P(v_dBTU)/K2P(d_electricity));
	c_oil = P2K(K2P(v_dBTU)/K2P(d_oil));
	//
	c_electricity = P2K(Math.round(K2P(c_electricity)*100)/100);
	c_oil = P2K(Math.round(K2P(c_oil)*100)/100);
	//
	// Gesamtmaske (pformular.js)
	mln_iframe_content.setze_energy();
	berechne_cpd();
}
//
// cpd berechnen
function berechne_cpd() {
	switch(r_energy) {
		case "gas":
			v_energy = c_gas;
			v_cpu = p_gas;
			break;
		case "electricity":
			v_energy = c_electricity;
			v_cpu = p_electricity;
			break;
		case "oil":
			v_energy = c_oil;
			v_cpu = p_oil;
			break;
		default:
			break;
	}
	v_cpd = P2K(K2P(v_energy)*K2P(v_cpu));
	v_cpd = P2K(Math.round(K2P(v_cpd)*100)/100);
	//
	// Gesamtmaske (pformular.js)
	mln_iframe_content.setze_cpd();
	berechneLPW();
}
//
// LPW berechnen
function berechneLPW() {
	v_LPW = P2K(K2P(v_cpd)*K2P(v_dpw));
	v_LPW = P2K(rundeZahl(K2P(v_LPW), 2));
	//
	// Gesamtmaske (pformular.js)
	mln_iframe_content.setze_LPW();
	berechneLPY();
}
//
// LPY berechnen
function berechneLPY() {
	v_LPY = P2K(K2P(v_LPW)*K2P(v_dpy));
	v_LPY = P2K(rundeZahl(K2P(v_LPY), 2));
	//
	if (gew_formular == "2") {
		v_aLPY1 = P2K(K2P(v_LPY) * K2P(k_abdg_DSL));
		v_aLPY1 = P2K(rundeZahl(K2P(v_aLPY1), 2));
		//
		v_aLPY2 = P2K(K2P(v_LPY) * K2P(k_abdg_DAS));
		v_aLPY2 = P2K(rundeZahl(K2P(v_aLPY2), 2));
	}
	//
	// Gesamtmaske (pformular.js)
	mln_iframe_content.setze_LPY();
	berechneROIy();
}
//
// ROIy berechnen
function berechneROIy() {
	if (gew_formular == "1") {
		v_ROIy = P2K(K2P(v_A1_DSL)/K2P(v_LPY));
		v_ROIy2 = P2K(K2P(v_A1_DAS)/K2P(v_LPY));
	}
	if (gew_formular == "2") {
		v_ROIy = P2K(K2P(v_A2_DSL)/K2P(v_aLPY1));
		v_ROIy2 = P2K(K2P(v_A2_DAS)/K2P(v_aLPY2));
	}
	v_ROIy = P2K(Math.round(K2P(v_ROIy)*100)/100);
	v_ROIy2 = P2K(Math.round(K2P(v_ROIy2)*100)/100);
	//
	// Gesamtmaske (pformular.js)
	mln_iframe_content.setze_ROIy();
	berechneROIm();
}
//
// ROIm berechnen
function berechneROIm() {
	v_ROIm = P2K(K2P(v_ROIy)*K2P(k_mpy));
	v_ROIm = P2K(Math.round(K2P(v_ROIm)*100)/100);
	// Gesamtmaske (pformular.js)
	mln_iframe_content.setze_ROIy();
	mln_iframe_content.setze_ROIm();
}
//
//---------------------------------
//Kommastrings in Punkt-Zahlen umwandeln
function K2P(derString) {
	splitZahl = derString.split(",");
	Ganzzahl = splitZahl[0];
	Kommazahl = splitZahl[1];
	if (splitZahl[2] == undefined) {
		if (splitZahl[1] == undefined) {
			tmpZahl = Ganzzahl;
		} else {
			tmpZahl = Ganzzahl+"."+Kommazahl;
		}
	} else {
		tmpZahl = NaN;
	}
	//alert(splitZahl+"->"+tmpZahl);
	return tmpZahl;
}
//Zahlen mit Punkt in Kommastrings umwandeln
function P2K(eineZahl) {
	splitZahl = String(eineZahl).split(".");
	Ganzzahl = splitZahl[0];
	Kommazahl = splitZahl[1];
	if (Kommazahl == undefined) {
		tmpZahl = Ganzzahl;
	} else {
		tmpZahl = Ganzzahl+","+Kommazahl;
	}
	//alert(splitZahl[0]+"/"+splitZahl[1]+"/"+splitZahl[2]);
	return tmpZahl;
}
//Zahlen runden
function rundeZahl(dieZahl, dezStellen) {
	if (dezStellen>=0) {
		var temp = Math.pow(10, dezStellen);
		return Math.round(dieZahl*temp)/temp;
	}
}
