//alert("ml_common.js");
/**
 * detect IE
 * returns version of IE or false, if browser is not Internet Explorer
 */
function detectIE() {
    var ua = window.navigator.userAgent;

    var msie = ua.indexOf('MSIE ');
    if (msie > 0) {
        // IE 10 or older => return version number
        return parseInt(ua.substring(msie + 5, ua.indexOf('.', msie)), 10);
    }

    var trident = ua.indexOf('Trident/');
    if (trident > 0) {
        // IE 11 => return version number
        var rv = ua.indexOf('rv:');
        return parseInt(ua.substring(rv + 3, ua.indexOf('.', rv)), 10);
    }

    var edge = ua.indexOf('Edge/');
    if (edge > 0) {
       // Edge (IE 12+) => return version number
       return parseInt(ua.substring(edge + 5, ua.indexOf('.', edge)), 10);
    }

    // other browser
    return false;
}
//Sample usage:
//alert('IE ' + detectIE());
//Default string of IE 10:
//Mozilla/5.0 (compatible; MSIE 10.0; Windows NT 6.2; Trident/6.0)
//Default string of IE 11:
//Mozilla/5.0 (Windows NT 6.3; Trident/7.0; rv:11.0) like Gecko 
//Default string of IE 12 (aka Edge):
//Mozilla/5.0 (Windows NT 10.0; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/39.0.2171.71 Safari/537.36 Edge/12.0 
//Default string of Edge 13 (thx @DrCord):
//Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/46.0.2486.0 Safari/537.36 Edge/13.10586 
//Default string of Edge 14:
//Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/46.0.
//
function isEdgeBrowser() {
    var ua = window.navigator.userAgent;

    var edge = ua.indexOf('Edge/');
    if (edge > 0) {
       return true;
    }
    // other browser
    return false;	
}
//
function checkBrowser(){
    c = navigator.userAgent.search("Chrome");
    f = navigator.userAgent.search("Firefox");
    m8 = navigator.userAgent.search("MSIE 8.0");
    m9 = navigator.userAgent.search("MSIE 9.0");
    if (c > -1) {
        browser = "Chrome";
    } else if (f > -1) {
        browser = "Firefox";
    } else if (m9 > -1) {
        browser ="MSIE 9.0";
    } else if (m8 > -1) {
        browser ="MSIE 8.0";
    }
    return browser;
}
//
function isFirefoxBrowser(){
    f = navigator.userAgent.search("Firefox");
    if (f > -1) {
        return true;
    }
    return false;
}
//
function set_Eingabetextfeld_Value(myObject, myValue)
{
	if (isEdgeBrowser() || isFirefoxBrowser()) {
		$(myObject).val(myValue);
	} else {
		var caret_position = myObject.selectionEnd;
		// Wert in Eingabetextfeld und in Variable schreiben
		$(myObject).val(myValue);
		myObject.selectionStart = caret_position;
		myObject.selectionEnd = caret_position;			
	}
}
function handle_Eingabetextfeld_focus(myObject)
{
	if (isAndroidDevice()) {
		// Wert lesen
		var tmpVal = $(myObject).val();
		var tmpVal_Komma = tmpVal;
		//
		if (tmpVal_Komma == "0") {
			tmpVal_Komma = "";
			$(myObject).val(tmpVal_Komma);
		}
	}
}
//
function isAndroidDevice()
{
   return (
    (navigator.userAgent.toLowerCase().indexOf("android") > -1)
   );
}
//
function isAppleDevice()
{
   return (
    (navigator.userAgent.toLowerCase().indexOf("ipad") > -1) ||
    (navigator.userAgent.toLowerCase().indexOf("iphone") > -1) ||
    (navigator.userAgent.toLowerCase().indexOf("ipod") > -1)
   );
}
var mlMobile;
if (isAppleDevice() || isAndroidDevice()) {mlMobile = true;} else {mlMobile = false;};
//mlMobile = true;
//
//--------------------------------------------------------------------------------------      
function getEdgeComp(currentPage) {
  var comp = AdobeEdge.getComposition(currentPage);
  mlStage = comp.getStage();
  //console.log("Stage: %o", mlStage);
}
//--------------------------------------------------------------------------------------      
function mlStartPage() {
	//alert("mlStartPage");
	cRichtung = parent.ml_navigation.getClickDirection();
	//cRichtung = "prev";
	switch (cRichtung) {
		case "next":
			ml_Label = startLabel;
			break;
		case "prev":
			ml_Label = lastLabel;
			break;
		default:
			ml_Label = "a";
			break;
	}
	//ml_setMyLabel(ml_Label);
	cstep(ml_Label);
}
//--------------------------------------------------------------------------------------      
// Label in Timeline abspielen
//--------------------------------------------------------------------------------------      
function mlPlayStep(myLabel) {
  timelineStopHandling = false;
  mlStage.play(myLabel);
  //mlStage.play(myLabel);
  //mlStage.play(myLabel);
  //mlStage.play(myLabel);
  timelineStopHandling = true;
}
//--------------------------------------------------------------------------------------      
function mlAudioTextAnzeigen(myAudioText){
	switch (myAudioText) {
		case "stop":
			break;
		case "none":
//			$(mlAudioText_sym.lookupSelector("tAudio")).html("");
			break;
		default:
//			$(mlAudioText_sym.lookupSelector("tAudio")).html(eval(myAudioText));
			break;
	}
	
}
//--------------------------------------------------------------------------------------      
function mlPlayAudio(myAudio, param2) {
	//alert("myAudio="+myAudio+" param2="+param2);
	set_videoton();
	var audio_spielen = true;
	if (param2 == false) {
		audio_spielen = false;
	}
	// Audiotext in Audiotextfeld laden
	mlAudioTextAnzeigen(myAudio);
	//
	var status = parent.ml_navigation.getAudioTextStatus();
	//alert("ml_common.js: mlPlayAudio("+myAudio+") status: "+status);
	if (status == "audio") {
		//Audiotextbox ausschalten (wichtig bei Seitenwechsel)
		mlStage.$("audiotext_sym").hide();
	} else {
		mlStage.$("audiotext_sym").show();
	};
	//
	if (status != "text") {
		// Audio ist eingeschaltet ("audio_text", "audio")
		if (myAudio == "none") {
			//Dieser Step hat kein Audio
			parent.ml_navigation.set_step_fertig("audio");
			myAudio = "";
		};
		if (audio_spielen) {
			parent.ml_sound.startFrameAudio(ml_audiopath + myAudio);
		}
	} else {
		// Audio wurde ausgeschaltet ("text")
		if (myAudio == "stop") {
			parent.ml_navigation.set_step_fertig("audio");
			myAudio = "";
			if (audio_spielen) {
				parent.ml_sound.startFrameAudio(ml_audiopath + myAudio);
			}
		};
	};
}
//--------------------------------------------------------------------------------------      
function set_videoton() {
	if (pvideo) {
		var status = parent.ml_navigation.getAudioTextStatus();
		if (status != "text") {
			// Audio ist eingeschaltet ("audio_text", "audio")
			mlStage.$("video")[0].muted = false;
		} else {
			// Audio wurde ausgeschaltet ("text")
			mlStage.$("video")[0].muted = true;
		}
	}
}
//--------------------------------------------------------------------------------------      
function cnext() {
	//alert("Content cnext");
	if (nextStep == "end") {
		// nächste Seite
		parent.ml_navigation.nextPage();
	} else{
		// nächster Step
		window.setTimeout("ml_setMyLabel(nextStep)", 1);
	};
}
//--------------------------------------------------------------------------------------      
function cprev() {
	//alert("Content cprev");
	if (prevStep == "begin") {
		// vorherige Seite
		parent.ml_navigation.prevPage();
	} else{
		// vorheriger Step
		window.setTimeout("ml_setMyLabel(prevStep)", 1);
	};
}
//--------------------------------------------------------------------------------------      
function cstep(param) {
	//alert("Content cstep(" + param + ")");
	ml_Label = param;
	//alert("cstep(" + ml_Label + ")");
	switch (param) {
		case "begin":
			parent.ml_navigation.prevPage();
			break;
		case "end":
			parent.ml_navigation.nextPage();
			break;
		default:
			window.setTimeout("ml_setMyLabel(ml_Label)", 1);
			break;
	};
}
//--------------------------------------------------------------------------------------      
// Wurde das Ende eines Steps erreicht? -> true
//--------------------------------------------------------------------------------------
function step_ended(param) {
	var end_value = false;
	var endStep = "none";
	var TimelinePosition = mlStage.getPosition();
	//
	if (param != "undefined") {
		var endStep = "#"+param;
	};
	//
	var endStepPosition = mlStage.getLabelPosition(endStep);
	//
	if (TimelinePosition == endStepPosition) {
		//alert(TimelinePosition);
    	end_value = true;  
    };
    //
	return end_value;
}      
//--------------------------------------------------------------------------------------
// tmp
//--------------------------------------------------------------------------------------
function suspendContent(play) {
	if (play) {
	    // hier content weiterspielen
//	    if (!TTsuspends) {
	      if (mlStagePlay) {
	        mlStage.play();
	      }
          if (pvideo) {
			mlStage.$("video")[0].play();
          }
//		  soundFrame.playFrameAudio();
		  parent.ml_sound.resumeFrameAudio();
//	    }
	} else {
	    // hier content anhalten
	    mlStage.stop();
        if (pvideo) {
			mlStage.$("video")[0].pause();
        }
//		soundFrame.pauseFrameAudio();
		parent.ml_sound.pauseFrameAudio();
	    //
	    // to continue play if step not ended
	    mlStagePlay = !step_ended(aktuellerStep);
	}
}
//--------------------------------------------------------------------------------------
function suspendTT(param) {
  //param true, wenn angehalten werden soll (else-Zweig unten)
  //param false, wenn weitergespielt werden soll
	if (!param) {
    // hier content weiterspielen
    if (mlStagePlay) {
      mlStage.play();
    }
	soundFrame.playFrameAudio();
    TTsuspends = false;
	} else {
    // hier content anhalten
    mlStage.stop();
	soundFrame.pauseFrameAudio();
    //
    // to continue play if step not ended
    mlStagePlay = !step_ended(aktuellerStep);
    TTsuspends = true;
	}
}
//--------------------------------------------------------------------------------------
function set_mlCurrentPage(param) {
	mlCurrentPage = param;
	//alert("mlCurrentPage gesetzt auf " + mlCurrentPage);
}
//--------------------------------------------------------------------------------------
function ml_getRBnr(myElement) {
  var firstElement = 0;
  var lastElement = 0;
  //myElement=Stage_cb_i_hotspot
  var myLength = myElement.length;
  switch (myLength) {
    case 18:
      firstElement = 9;
      lastElement = 10;
      break;
    case 19:
      firstElement = 9;
      lastElement = 11;
      break;
    default:
      break;
  }  
  //var myNumber = myElement.substring(firstElement, myElement.length);
  var myNumber = myElement.substring(firstElement, lastElement);
  return myNumber;
}
//--------------------------------------------------------------------------------------
function ml_getX(myElement) {
	//alert(mlStage.$("cb_1").css("left"));
  	return parseInt(mlStage.$(myElement).css("left"));
}
//--------------------------------------------------------------------------------------      
function ml_getY(myElement) {
  return parseInt(mlStage.$(myElement).css("top"));
}
//--------------------------------------------------------------------------------------      
function ml_setXY(myElement, x, y) {
  mlStage.$(myElement).css({"left":x, "top":y});
}
//--------------------------------------------------------------------------------------      
function arrayShuffle() {
	var tmp, rand;
	for(var i =0; i < this.length; i++){
		rand = Math.floor(Math.random() * this.length);
		tmp = this[i]; 
		this[i] = this[rand]; 
		this[rand] =tmp;
	}
}
//
Array.prototype.shuffle = arrayShuffle;
//--------------------------------------------------------------------------------------      
