//alert("ml_common.js");
//
function isAndroidDevice()
{
   return (
    (navigator.userAgent.toLowerCase().indexOf("android") > -1)
   );
}
//
function isAppleDevice()
{
   return (
    (navigator.userAgent.toLowerCase().indexOf("ipad") > -1) ||
    (navigator.userAgent.toLowerCase().indexOf("iphone") > -1) ||
    (navigator.userAgent.toLowerCase().indexOf("ipod") > -1)
   );
}
var mlMobile;
if (isAppleDevice() || isAndroidDevice()) {mlMobile = true;} else {mlMobile = false;};
//mlMobile = true;
//
//--------------------------------------------------------------------------------------      
function getEdgeComp(currentPage) {
  var comp = AdobeEdge.getComposition(currentPage);
  mlStage = comp.getStage();
  //console.log("Stage: %o", mlStage);
}
//--------------------------------------------------------------------------------------      
function mlStartPage() {
	cRichtung = parent.ml_navigation.getClickDirection();
	//cRichtung = "prev";
	switch (cRichtung) {
		case "next":
			ml_Label = startLabel;
			break;
		case "prev":
			ml_Label = lastLabel;
			break;
		default:
			ml_Label = "a";
			break;
	}
	//ml_setMyLabel(ml_Label);
	cstep(ml_Label);
}
//--------------------------------------------------------------------------------------      
// Label in Timeline abspielen
//--------------------------------------------------------------------------------------      
function mlPlayStep(myLabel) {
  timelineStopHandling = false;
  mlStage.play(myLabel);
  //mlStage.play(myLabel);
  //mlStage.play(myLabel);
  //mlStage.play(myLabel);
  timelineStopHandling = true;
}
//--------------------------------------------------------------------------------------      
function mlAudioTextAnzeigen(myAudioText){
	switch (myAudioText) {
		case "stop":
			break;
		case "none":
//			$(mlAudioText_sym.lookupSelector("tAudio")).html("");
			break;
		default:
//			$(mlAudioText_sym.lookupSelector("tAudio")).html(eval(myAudioText));
			break;
	}
	
}
//--------------------------------------------------------------------------------------      
function mlPlayAudio(myAudio, param2) {
	//alert("myAudio="+myAudio+" param2="+param2);
	set_videoton();
	var audio_spielen = true;
	if (param2 == false) {
		audio_spielen = false;
	}
	// Audiotext in Audiotextfeld laden
	mlAudioTextAnzeigen(myAudio);
	//
	var status = parent.ml_navigation.getAudioTextStatus();
	//alert("ml_common.js: mlPlayAudio("+myAudio+") status: "+status);
	if (status == "audio") {
		//Audiotextbox ausschalten (wichtig bei Seitenwechsel)
		mlStage.$("audiotext_sym").hide();
	} else {
		mlStage.$("audiotext_sym").show();
	};
	//
	if (status != "text") {
		// Audio ist eingeschaltet ("audio_text", "audio")
		if (myAudio == "none") {
			//Dieser Step hat kein Audio
			parent.ml_navigation.set_step_fertig("audio");
			myAudio = "";
		};
		if (audio_spielen) {
			parent.ml_sound.startFrameAudio(ml_audiopath + myAudio);
		}
	} else {
		// Audio wurde ausgeschaltet ("text")
		if (myAudio == "stop") {
			parent.ml_navigation.set_step_fertig("audio");
			myAudio = "";
			if (audio_spielen) {
				parent.ml_sound.startFrameAudio(ml_audiopath + myAudio);
			}
		};
	};
}
//--------------------------------------------------------------------------------------      
function set_videoton() {
	if (pvideo) {
		var status = parent.ml_navigation.getAudioTextStatus();
		if (status != "text") {
			// Audio ist eingeschaltet ("audio_text", "audio")
			mlStage.$("video")[0].muted = false;
		} else {
			// Audio wurde ausgeschaltet ("text")
			mlStage.$("video")[0].muted = true;
		}
	}
}
//--------------------------------------------------------------------------------------      
function cnext() {
	//alert("Content cnext");
	if (nextStep == "end") {
		// nächste Seite
		parent.ml_navigation.nextPage();
	} else{
		// nächster Step
		window.setTimeout("ml_setMyLabel(nextStep)", 1);
	};
}
//--------------------------------------------------------------------------------------      
function cprev() {
	//alert("Content cprev");
	if (prevStep == "begin") {
		// vorherige Seite
		parent.ml_navigation.prevPage();
	} else{
		// vorheriger Step
		window.setTimeout("ml_setMyLabel(prevStep)", 1);
	};
}
//--------------------------------------------------------------------------------------      
function cstep(param) {
	//alert("Content cstep(" + param + ")");
	ml_Label = param;
	//alert("cstep(" + ml_Label + ")");
	switch (param) {
		case "begin":
			parent.ml_navigation.prevPage();
			break;
		case "end":
			parent.ml_navigation.nextPage();
			break;
		default:
			window.setTimeout("ml_setMyLabel(ml_Label)", 1);
			break;
	};
}
//--------------------------------------------------------------------------------------      
// Wurde das Ende eines Steps erreicht? -> true
//--------------------------------------------------------------------------------------
function step_ended(param) {
	var end_value = false;
	var endStep = "none";
	var TimelinePosition = mlStage.getPosition();
	//
	if (param != "undefined") {
		var endStep = "#"+param;
	};
	//
	var endStepPosition = mlStage.getLabelPosition(endStep);
	//
	if (TimelinePosition == endStepPosition) {
		//alert(TimelinePosition);
    	end_value = true;  
    };
    //
	return end_value;
}      
//--------------------------------------------------------------------------------------
// tmp
//--------------------------------------------------------------------------------------
function suspendContent(play) {
	if (play) {
	    // hier content weiterspielen
//	    if (!TTsuspends) {
	      if (mlStagePlay) {
	        mlStage.play();
	      }
          if (pvideo) {
			mlStage.$("video")[0].play();
          }
//		  soundFrame.playFrameAudio();
		  parent.ml_sound.resumeFrameAudio();
//	    }
	} else {
	    // hier content anhalten
	    mlStage.stop();
        if (pvideo) {
			mlStage.$("video")[0].pause();
        }
//		soundFrame.pauseFrameAudio();
		parent.ml_sound.pauseFrameAudio();
	    //
	    // to continue play if step not ended
	    mlStagePlay = !step_ended(aktuellerStep);
	}
}
//--------------------------------------------------------------------------------------
function suspendTT(param) {
  //param true, wenn angehalten werden soll (else-Zweig unten)
  //param false, wenn weitergespielt werden soll
	if (!param) {
    // hier content weiterspielen
    if (mlStagePlay) {
      mlStage.play();
    }
	soundFrame.playFrameAudio();
    TTsuspends = false;
	} else {
    // hier content anhalten
    mlStage.stop();
	soundFrame.pauseFrameAudio();
    //
    // to continue play if step not ended
    mlStagePlay = !step_ended(aktuellerStep);
    TTsuspends = true;
	}
}
//--------------------------------------------------------------------------------------
function set_mlCurrentPage(param) {
	mlCurrentPage = param;
	//alert("mlCurrentPage gesetzt auf " + mlCurrentPage);
}
//--------------------------------------------------------------------------------------
function ml_getRBnr(myElement) {
  var firstElement = 0;
  var lastElement = 0;
  //myElement=Stage_cb_i_hotspot
  var myLength = myElement.length;
  switch (myLength) {
    case 18:
      firstElement = 9;
      lastElement = 10;
      break;
    case 19:
      firstElement = 9;
      lastElement = 11;
      break;
    default:
      break;
  }  
  //var myNumber = myElement.substring(firstElement, myElement.length);
  var myNumber = myElement.substring(firstElement, lastElement);
  return myNumber;
}
//--------------------------------------------------------------------------------------
function ml_getX(myElement) {
	//alert(mlStage.$("cb_1").css("left"));
  	return parseInt(mlStage.$(myElement).css("left"));
}
//--------------------------------------------------------------------------------------      
function ml_getY(myElement) {
  return parseInt(mlStage.$(myElement).css("top"));
}
//--------------------------------------------------------------------------------------      
function ml_setXY(myElement, x, y) {
  mlStage.$(myElement).css({"left":x, "top":y});
}
//--------------------------------------------------------------------------------------      
function arrayShuffle() {
	var tmp, rand;
	for(var i =0; i < this.length; i++){
		rand = Math.floor(Math.random() * this.length);
		tmp = this[i]; 
		this[i] = this[rand]; 
		this[rand] =tmp;
	}
}
//
Array.prototype.shuffle = arrayShuffle;
//--------------------------------------------------------------------------------------      
