//alert("ml_Fnavigation.js");
//--------------------------------------------------------------------------------------      
// Klasse Navigation
//--------------------------------------------------------------------------------------      

//--------------------------------------------------------------------------------------      
// Konstruktor
//--------------------------------------------------------------------------------------      
function Navigation() {
	// Eigenschaften
	this.aktuelleSeite = "pintro"; // Startseite
//	this.aktuelleSeite = "p050701"; // Startseite
	this.contentReady = false;
	this.audio_text_Status = "text"; // "audio", "text", "audio_text"
	this.clickDirection = "next"; // "next", "prev"
	//this.aktuellerStep = "none"; // z.B. "b";
	this.weiter_enabled = true;
	this.step_fertig = [false, false]; // [Audio fertig?, Step fertig?]
	this.audioStop = false; // true, wenn Step bei Ende des Audios nicht automatisch weiter laufen soll
	this.restartStep = true; // auf "false" setzen, wenn der Step nicht neu gestartet werden darf bei "Audio_an"
	this.navButtonStatus = [1,1,1,1,1,1,1,1];
	// [sound_on_sym, txt_on_sym, exit_sym, back_sym, pause_sym, weiter_sym, help_sym, toc_sym]
	// enabled [1,1,1,1,1,1,1,1]
	// disabled [0,0,0,0,0,0,0,0]
	// [sound_off_sym, txt_off_sym, -, -, play_sym, weiterH_sym, help_sym, toc_sym]
	// enabled [3,3,-,-,3,3,3,-]
	// disabled [2,2,-,-,2,2,2,-]
	this.navButtonStatus_backup = [1,1,1,1,1,1,1,1];
	//
	// nur für Test
	this.testAnswer = false;
	this.testScore = 0;
	//
	// für Menue
	this.menue_use = false; // auf false setzen, wenn Menü nicht benutzt werden soll!
	this.menue_pos_aus = -457;
	this.menue_on = false;
	this.c_status = "play"; //Status des Content: pausiert = "pause", nicht pausiert = "play";
}

//--------------------------------------------------------------------------------------
// Methoden
//--------------------------------------------------------------------------------------

//--------------------------------------------------------------------------------------
// Methode exit(); (z.B. ml_navigation.exit(); // Programm schließen
//--------------------------------------------------------------------------------------
Navigation.prototype.exit = function() {
	var ready = this.getContentReady();
	if (ready) {
		ml_navigation.c_pause();
		$("#mlid_div_dimAll").css("display", "block");
		$("#mlid_div_rquit").css("top", "119px");
	};
};
Navigation.prototype.exit_yes = function() {
	//var ready = this.getContentReady();
	//if (ready) {
		window.close();
	//};
};
Navigation.prototype.exit_no = function() {
	//var ready = this.getContentReady();
	//if (ready) {
		ml_navigation.c_resume();
		$("#mlid_div_rquit").css("top", "-80px");
		$("#mlid_div_dimAll").css("display", "none");
	//};
};

//--------------------------------------------------------------------------------------
// Methode c_resume(); (z.B. ml_navigation.c_resume(); //Content weiter abspielen)
//--------------------------------------------------------------------------------------
Navigation.prototype.c_resume = function() {
	//alert("Content weiter ausführen.");
	//
	var ready = this.getContentReady();
	if (ready && (this.c_status == "pause")) {
		this.toggle_menue("resume_btn");
		//undim Content
		$("#mlid_div_dimContent").css("display", "none");
		// resumeContent
		this.c_status = "play";
		var pplay = true;
		mln_iframe_content.suspendContent(pplay);
		//// resumeAudio
		//ml_sound.resumeFrameAudio();
		//
		mln_iframe_header.enable_pause();
		//ButtonStatus wiederherstellen
		//Buttons enabeln
		var psound = "";
		var ptxt = "";
		var pexit = "";
		var phelp = "";
		var pback = "";
		var pweiter = "";
		//
		switch (this.navButtonStatus_backup[0]) {
			case 1:
				psound = "sound_on";
				break;
			case 3:
				psound = "sound_off";
				break;
			default:
				break;		
		};
		switch (this.navButtonStatus_backup[1]) {
			case 1:
				ptxt = "txt_on";
				break;
			case 3:
				ptxt = "txt_off";
				break;
			default:
				break;
		};
		if (this.navButtonStatus_backup[2] == 1) {
			pexit = "exit";
		}
		if (this.navButtonStatus_backup[6] == 1) {
			phelp = "help";
		}
		if (this.navButtonStatus_backup[3] == 1) {
			pback = "back";
		}
		switch (this.navButtonStatus_backup[5]) {
			case 1:
				pweiter = "weiter";
				break;
			case 3:
				pweiter = "weiterH";
				break;
			default:
				break;
		};
		this.enableButtons([psound, ptxt, pexit, phelp, pback, pweiter]);
	};
};
//--------------------------------------------------------------------------------------
// Methode c_pause(); (z.B. ml_navigation.c_pause(); //Content pausieren)
//--------------------------------------------------------------------------------------
Navigation.prototype.c_pause = function() {
	//alert("Content pausieren.");
	//
	var ready = this.getContentReady();
	if (ready && (this.c_status == "play")) {
		//dim Content
		$("#mlid_div_dimContent").css("display", "block");
		// suspendContent
		this.c_status = "pause";
		var pplay = false;
		mln_iframe_content.suspendContent(pplay);
		//// suspendAudio
		//ml_sound.pauseFrameAudio();
		//
		mln_iframe_header.enable_play();
		//ButtonStatus sichern
		//alert("Buttons sichern");
		//alert(this.navButtonStatus);
		for (var i=0; i < this.navButtonStatus.length; i++) {
		  this.navButtonStatus_backup[i] = this.navButtonStatus[i];
		};
		//alert(this.navButtonStatus_backup);
		//Buttons disabeln
		var psound = "";
		var ptxt = "";
		var pweiter = "";
		//
		switch (this.navButtonStatus[0]) {
			case 1:
				psound = "sound_on";
				break;
			case 3:
				psound = "sound_off";
				break;
			default:
				break;
		};
		switch (this.navButtonStatus[1]) {
			case 1:
				ptxt = "txt_on";
				break;
			case 3:
				ptxt = "txt_off";
				break;
			default:
				break;
		};
		switch (this.navButtonStatus[5]) {
			case 1:
				pweiter = "weiter";
				break;
			case 3:
				pweiter = "weiterH";
				break;
			default:
				break;
		};
		//
		//alert("psound="+psound+" ptxt="+ptxt+" pweiter="+pweiter);
		this.disableButtons([psound, ptxt, "exit", "help", "back", pweiter]);
	};
};

//--------------------------------------------------------------------------------------
// Methode set_restartStep(bool) (z.B. ml_navigation.set_restartStep(true);)
//--------------------------------------------------------------------------------------
Navigation.prototype.set_restartStep = function(param) {
	this.restartStep = param;
};
//--------------------------------------------------------------------------------------
// Methode get_restartStep() (z.B. ml_navigation.get_restartStep();)
//--------------------------------------------------------------------------------------
Navigation.prototype.get_restartStep = function() {
	return this.restartStep;
};

//--------------------------------------------------------------------------------------
// Methode set_audioStop(bool) (z.B. ml_navigation.set_audioStop(true);)
//--------------------------------------------------------------------------------------
Navigation.prototype.set_audioStop = function(param) {
	this.audioStop = param;
};
//--------------------------------------------------------------------------------------
// Methode get_audioStop() (z.B. ml_navigation.get_audioStop();)
//--------------------------------------------------------------------------------------
Navigation.prototype.get_audioStop = function() {
	return this.audioStop;
};

//--------------------------------------------------------------------------------------
// Methode reset_step_fertig() (z.B. ml_navigation.reset_step_fertig();)
//--------------------------------------------------------------------------------------
Navigation.prototype.reset_step_fertig = function() {
	this.step_fertig = [false, false];
};
//--------------------------------------------------------------------------------------
// Methode set_step_fertig(param) (z.B. ml_navigation.set_step_fertig("audio");)
//--------------------------------------------------------------------------------------
Navigation.prototype.set_step_fertig = function(param) {
	//alert("Navigation.set_step_fertig: " + param);
	switch (param) {
		case "audio":
			var i = 0;
			break;
		case "step":
			var i = 1;
			break;
		default:
			var i = -1;
			break;
	}
	if (i != -1) {
		this.step_fertig[i] = true;
		// Aufrufen der bedingten Weiter-Funktion
		this.bed_weiter();
	};
};
//--------------------------------------------------------------------------------------
// Methode bed_weiter(); (z.B. ml_navigation.bed_weiter();)
//--------------------------------------------------------------------------------------
Navigation.prototype.bed_weiter = function() {
	//alert("Navigation.bed_weiter()");
	//Weiter-Highlight
	var bed1a = false;
	var bed1b = false;
	var bed4 = false;
	// step_fertig == [true, true] // Audio und Step sind beendet
	if (this.step_fertig[0] == true) {
		bed1a = true;
	};
	if (this.step_fertig[1] == true) {
		bed1b = true;
	};
	// Ein weiterHLabel ist beendet
	//alert(mln_iframe_content.weiterHLabels);
	var myHLabels = mln_iframe_content.weiterHLabels;
	for (var i=0; i < myHLabels.length; i++) {
		var myHLabel = myHLabels[i];
		if (mln_iframe_content.step_ended(myHLabel)) {
			bed4 = true;
			break;
		};		
	};
	//
	var tmpStatus = this.getAudioTextStatus();
	//alert("Navigation.bed_weiter(), audio_text_Status = " + tmpStatus);
	switch (tmpStatus) {
		case "audio":
		case "audio_text":
			if (bed1a && bed1b && bed4) {
				this.enableButtons(["weiterH"]);
			};
			//		
			var bed2 = false;
			var bed3 = false;
			//------------------------------------------------------------------------
			// Gehe weiter, wenn
			//------------------------------------------------------------------------
			// 1) step_fertig == [true, true] // Audio und Step sind beendet
			// s.o.: bed1 = true;
			//------------------------------------------------------------------------
			// 2) nextStep != "end" // Der nächste Step ist keine neue Seite
			//
			var nextStep = mln_iframe_content.nextStep;
			//alert("Navigation.bed_weiter: nextStep = " + nextStep);
			if (nextStep != "end") {
				bed2 = true;
			};
			//------------------------------------------------------------------------
			// 3) audioStop != true // Es soll nicht gehalten werden bei diesem Audio
			//
			var tmpStop = ml_navigation.get_audioStop();
			if (!tmpStop) {
				bed3 = true;
			};
			//------------------------------------------------------------------------
			if (bed1a && bed1b && bed2 && bed3) {
				//alert("> automatisch in nächsten Step");
				mln_iframe_content.cnext();
			};
			//------------------------------------------------------------------------
			break;
		case "text":
			if (bed1b && bed4) {
				this.enableButtons(["weiterH"]);
			};
			break;
		default:
			break;
	}
};

//--------------------------------------------------------------------------------------      
// Methode toc() (z.B. ml_navigation.toc();)
//--------------------------------------------------------------------------------------
Navigation.prototype.toc = function() {
	//alert("Navigation.toc");
	var ready = this.getContentReady();
	if (ready) {
		//alert("Navigation.toc (contentReady)");
		//mln_iframe_content.cnext();
		this.setContentReady(false);
		this.setClickDirection("next");
		ml_frame.loadContent("toc", "p000001");
	};
};
//--------------------------------------------------------------------------------------      
// Methode next() (z.B. ml_navigation.next();)
//--------------------------------------------------------------------------------------
Navigation.prototype.next = function() {
	//alert("Navigation.next/step");
	var ready = this.getContentReady();
	if (ready) {
		//alert("Navigation.next (contentReady)");
		mln_iframe_content.cnext();
	};
};
//--------------------------------------------------------------------------------------
// Methode prev() (z.B. ml_navigation.prev();)
//--------------------------------------------------------------------------------------
Navigation.prototype.prev = function() {
	//alert("Navigation.prev/step");
	var ready = this.getContentReady();
	if (ready) {
		//alert("Navigation.prev (contentReady)");
		mln_iframe_content.cprev();
	};
};
//--------------------------------------------------------------------------------------
// Methode nextPage() (z.B. ml_navigation.nextPage();)
//--------------------------------------------------------------------------------------
Navigation.prototype.nextPage = function() {
	this.setContentReady(false);
	this.setClickDirection("next");
	ml_frame.loadContent("next");
	//var myURL = "content/chapter0/p000001.html";
	//$("#mlid_iframe_content").attr("src", myURL);
};
//--------------------------------------------------------------------------------------
// Methode getNextTestPage() (z.B. ml_navigation.getNextTestPage(aktuelle_seite);)
//--------------------------------------------------------------------------------------
Navigation.prototype.getNextTestPage = function(param) {
	// nächste Testseite aus Test-Struktur und Logik ermitteln; param enthält aktuelle_seite
	var rPage = "p080001";
	switch (param) {
		case "p080001":
			// Zufall
			var nachfolger = ["p08_1_1", "p08_1_2"];
			nachfolger.navShuffle();
			rPage = nachfolger[0];
			break;
		case "p08_1_1":
		case "p08_1_2":
			// Zufall
			var nachfolger = ["p08_2_1", "p08_2_2"];
			nachfolger.navShuffle();
			rPage = nachfolger[0];
			break;
		case "p08_2_1":
			// richtig, falsch
			var nachfolger = ["p08_3_1_1", "p08_3_1_2"];
			if (this.testAnswer) {
				rPage = nachfolger[0];
			} else{
				rPage = nachfolger[1];
			};
			break;
		case "p08_2_2":
			// richtig, falsch
			var nachfolger = ["p08_3_2_1", "p08_3_2_2"];
			if (this.testAnswer) {
				rPage = nachfolger[0];
			} else{
				rPage = nachfolger[1];
			};
			break;
		case "p08_3_1_1":
		case "p08_3_1_2":
			// richtig, falsch
			var nachfolger = ["p08_4_1_1", "p08_4_1_2"];
			if (this.testAnswer) {
				rPage = nachfolger[0];
			} else{
				rPage = nachfolger[1];
			};
			break;
		case "p08_3_2_1":
		case "p08_3_2_2":
			// richtig, falsch
			var nachfolger = ["p08_4_2_1", "p08_4_2_2"];
			if (this.testAnswer) {
				rPage = nachfolger[0];
			} else{
				rPage = nachfolger[1];
			};
			break;
		case "p08_4_1_1":
		case "p08_4_1_2":
			// richtig, falsch
			var nachfolger = ["p08_5_1_1", "p08_5_1_2"];
			if (this.testAnswer) {
				rPage = nachfolger[0];
			} else{
				rPage = nachfolger[1];
			};
			break;
		case "p08_4_2_1":
		case "p08_4_2_2":
			// richtig, falsch
			var nachfolger = ["p08_5_2_1", "p08_5_2_2"];
			if (this.testAnswer) {
				rPage = nachfolger[0];
			} else{
				rPage = nachfolger[1];
			};
			break;
		case "p08_5_1_1":
		case "p08_5_1_2":
		case "p08_5_2_1":
		case "p08_5_2_2":
			// richtig, falsch
			var nachfolger = ["p08_6_1", "p08_6_2"];
			if (this.testAnswer) {
				rPage = nachfolger[0];
			} else{
				rPage = nachfolger[1];
			};
			break;
		case "p08_6_1":
		case "p08_6_2":
			// richtig, falsch
			var nachfolger = ["p08_7_1", "p08_7_2"];
			if (this.testAnswer) {
				rPage = nachfolger[0];
			} else{
				rPage = nachfolger[1];
			};
			break;
		case "p08_8":
			// richtig, falsch
			var nachfolger = ["p08_9_2", "p08_9_1"];
			if (this.testAnswer) {
				rPage = nachfolger[0];
			} else{
				rPage = nachfolger[1];
			};
			break;
		default:
			rPage = "p080001";
			break;
	}
	return rPage;
};
//--------------------------------------------------------------------------------------
// Methode prevPage() (z.B. ml_navigation.prevPage();)
//--------------------------------------------------------------------------------------
Navigation.prototype.prevPage = function() {
	this.setContentReady(false);
	this.setClickDirection("prev");
	ml_frame.loadContent("prev");
	//var myURL = "content/chapter0/p000001.html";
	//$("#mlid_iframe_content").attr("src", myURL);
};

//--------------------------------------------------------------------------------------
// Methode set_aktuelleSeite (z.B. ml_navigation.set_aktuelleSeite("p000002");)
//--------------------------------------------------------------------------------------
Navigation.prototype.set_aktuelleSeite = function(param) {
	this.aktuelleSeite = param;
};
//--------------------------------------------------------------------------------------
// Methode get_aktuelleSeite (z.B. ml_navigation.get_aktuelleSeite();)
//--------------------------------------------------------------------------------------
Navigation.prototype.get_aktuelleSeite = function() {
	return this.aktuelleSeite;
};

//--------------------------------------------------------------------------------------
// Methode setContentReady(bool) (z.B. ml_navigation.setContentReady(true);)
//--------------------------------------------------------------------------------------
Navigation.prototype.setContentReady = function(param) {
	this.contentReady = param;
};
//--------------------------------------------------------------------------------------
// Methode getContentReady(bool) (z.B. ml_navigation.getContentReady();)
//--------------------------------------------------------------------------------------
Navigation.prototype.getContentReady = function() {
	return this.contentReady;
};

//--------------------------------------------------------------------------------------
// Methode getAudioTextStatus() (z.B. ml_navigation.getAudioTextStatus();)
//--------------------------------------------------------------------------------------
Navigation.prototype.getAudioTextStatus = function() {
	return this.audio_text_Status;
};
//--------------------------------------------------------------------------------------
// Methode setAudioTextStatus(param) (z.B. ml_navigation.setAudioTextStatus("audio_text");)
//--------------------------------------------------------------------------------------
Navigation.prototype.setAudioTextStatus = function(param) {
	this.audio_text_Status = param;
};

//--------------------------------------------------------------------------------------
// Methode setClickDirection() (z.B. ml_navigation.setClickDirection("prev");)
//--------------------------------------------------------------------------------------
Navigation.prototype.setClickDirection = function(param) {
	this.clickDirection = param;
};
//--------------------------------------------------------------------------------------
// Methode getClickDirection() (z.B. ml_navigation.getClickDirection();)
//--------------------------------------------------------------------------------------
Navigation.prototype.getClickDirection = function() {
	return this.clickDirection;
};

//--------------------------------------------------------------------------------------
// Methode set_weiter_enabled(bool) (z.B. ml_navigation.set_weiter_enabled(false);)
//--------------------------------------------------------------------------------------
Navigation.prototype.set_weiter_enabled = function(param) {
	this.weiter_enabled = param;
};
//--------------------------------------------------------------------------------------
// Methode get_weiter_enabled(bool) (z.B. ml_navigation.get_weiter_enabled();)
//--------------------------------------------------------------------------------------
Navigation.prototype.get_weiter_enabled = function() {
	return this.weiter_enabled;
};

//--------------------------------------------------------------------------------------
// Methode setHbackButtonStatus(seite) (z.B. ml_navigation.setHbackButtonStatus("p000001");)
//--------------------------------------------------------------------------------------
Navigation.prototype.setHbackButtonStatus = function(seite) {
	var seitenindex = ml_frame.getSeitenIndex(seite);
	var prev = ml_frame.getSeitenPrev(seitenindex);
	// Wenn keine vorherige Seite, dann "zurück"-Button deaktivieren!
	if (prev == "none") {
		//alert("prev == 'none'");
		mln_iframe_header.disable_back();
	};
};
//--------------------------------------------------------------------------------------
// Methode setHweiterButtonStatus(seite) (z.B. ml_navigation.setHweiterButtonStatus("p000001");)
//--------------------------------------------------------------------------------------
Navigation.prototype.setHweiterButtonStatus = function(seite) {
	var seitenindex = ml_frame.getSeitenIndex(seite);
	var next = ml_frame.getSeitenNext(seitenindex);
	// Wenn keine nächste Seite, dann "weiter"-Button deaktivieren!
	if (next == "none") {
		//alert("next == 'none'");
		mln_iframe_header.disable_weiter();
	};
};
//--------------------------------------------------------------------------------------
// Metnode enableButtons(array) (z.B. ml_navigation.enableButtons(["back", "weiter"]);)
//--------------------------------------------------------------------------------------
Navigation.prototype.enableButtons = function(myArray) {
	for (var i=0; i < myArray.length; i++) {
		switch (myArray[i]) {
			case "toc":
				mln_iframe_header.enable_toc_but();
				break;
			case "back":
				mln_iframe_header.enable_back();
				break;
			case "weiter":
				mln_iframe_header.enable_weiter();
				break;
			case "weiterH":
				if (this.get_weiter_enabled()) {
					mln_iframe_header.enable_weiterH();
				}
				break;
			case "pause":
				mln_iframe_header.enable_pause();
				break;
			case "play":
				mln_iframe_header.enable_play();
				break;
			case "exit":
				mln_iframe_header.enable_exit();
				break;
			case "help":
				mln_iframe_header.enable_help();
				break;
			case "sound_on":
				mln_iframe_header.enable_sound_on();
				break;
			case "sound_off":
				mln_iframe_header.enable_sound_off();
				break;
			case "txt_on":
				mln_iframe_header.enable_txt_on();
				break;
			case "txt_off":
				mln_iframe_header.enable_txt_off();
				break;
			default:
				break;
		}
	};
};
//--------------------------------------------------------------------------------------
// Metnode disableButtons(array) (z.B. ml_navigation.disableButtons(["back", "weiter"]);)
//--------------------------------------------------------------------------------------
Navigation.prototype.disableButtons = function(myArray) {
	for (var i=0; i < myArray.length; i++) {
		switch (myArray[i]) {
			case "toc":
				mln_iframe_header.disable_toc_but();
				break;
			case "back":
				mln_iframe_header.disable_back();
				break;
			case "weiter":
				mln_iframe_header.disable_weiter();
				break;
			case "weiterH":
				mln_iframe_header.disable_weiterH();
				break;
			case "pause":
				mln_iframe_header.disable_pause();
				break;
			case "play":
				mln_iframe_header.disable_play();
				break;
			case "exit":
				mln_iframe_header.disable_exit();
				break;
			case "help":
				mln_iframe_header.disable_help();
				break;
			case "sound_on":
				mln_iframe_header.disable_sound_on();
				break;
			case "sound_off":
				mln_iframe_header.disable_sound_off();
				break;
			case "txt_on":
				mln_iframe_header.disable_txt_on();
				break;
			case "txt_off":
				mln_iframe_header.disable_txt_off();
				break;
			default:
				break;
		}
	};
};
//--------------------------------------------------------------------------------------
// Methode setHSeitenTitel() (z.B. ml_navigation.setHSeitenTitel();)
//--------------------------------------------------------------------------------------
Navigation.prototype.setHSeitenTitel = function(seitenindex) {
	//alert(Seitenindex);
	var myTitel = "Test#";
	// SeitenTitel aus Struktur auslesen
	//
	var Kapiteltext = ml_frame.getSeitenKapiteltext(seitenindex);
	var Seitentitel = ml_frame.getSeitenTitel(seitenindex);
	//
	//if (Seitentitel == "") {
	//	myTitel = Kapiteltext;
	//} else{
	//	myTitel = Kapiteltext + "&nbsp;&nbsp;>&nbsp;&nbsp;" + Seitentitel;
	//};
	mln_iframe_header.setKapitelTitel(Kapiteltext, seitenindex);
	mln_iframe_header.setSeitenTitel(Seitentitel);
};
//--------------------------------------------------------------------------------------
// Methode audio_aus() (z.B. ml_navigation.audio_aus();)
//--------------------------------------------------------------------------------------
Navigation.prototype.audio_aus = function() {
	//alert("Navigation: audio_aus");
	var ready = this.getContentReady();
	if (ready) {
		var status = this.getAudioTextStatus();
		switch (status) {
			case "audio":
				// TextButton einschalten
				mln_iframe_header.audiotext_on();
				// ohne break;
			case "audio_text":
				// AudioButton abschalten
				mln_iframe_header.audio_off();
				// Status ändern
				this.setAudioTextStatus("text");
				// Audio stoppen
				mln_iframe_content.mlPlayAudio("stop");
				break;
			default:
				break;
		};
	};
};
//--------------------------------------------------------------------------------------
// Methode audio_an() (z.B. ml_navigation.audio_an();)
//--------------------------------------------------------------------------------------
Navigation.prototype.audio_an = function() {
	//alert("Navigation: audio_an");
	var ready = this.getContentReady();
	if (ready) {
		mln_iframe_header.audio_on();
		// Status ändern
		this.setAudioTextStatus("audio_text");
		// aktuellen Step nochmal starten
		var tmpLabel = mln_iframe_content.aktuellerStep;
		//alert("Navigation: audio_an. Label="+tmpLabel);
		if (this.get_restartStep()) {
			mln_iframe_content.cstep(tmpLabel);
		};
	};
};
//--------------------------------------------------------------------------------------
// Methode audiotext_aus() (z.B. ml_navigation.audiotext_aus();)
//--------------------------------------------------------------------------------------
Navigation.prototype.audiotext_aus = function() {
	//alert("Navigation: audiotext_aus");
	var ready = this.getContentReady();
	if (ready) {
		var status = this.getAudioTextStatus();
		switch (status) {
			case "text":
				// TextButton ausschalten
				mln_iframe_header.audiotext_off();
				// AudioButton einschalten
				mln_iframe_header.audio_on();
				// Status ändern
				this.setAudioTextStatus("audio");
				// aktuellen Step nochmal starten
				var tmpLabel = mln_iframe_content.aktuellerStep;
				//alert("Navigation: audio_an. Label="+tmpLabel);
				if (this.get_restartStep()) {
					mln_iframe_content.cstep(tmpLabel);
				};
				break;
			case "audio_text":
				// TextButton ausschalten
				mln_iframe_header.audiotext_off();
				// Status ändern
				this.setAudioTextStatus("audio");
				break;
			default:
				break;
		};
	};
};
//--------------------------------------------------------------------------------------
// Methode audiotext_an() (z.B. ml_navigation.audiotext_an();)
//--------------------------------------------------------------------------------------
Navigation.prototype.audiotext_an = function() {
	//alert("Navigation: audiotext_an");
	var ready = this.getContentReady();
	if (ready) {
		mln_iframe_header.audiotext_on();
		// Status ändern
		this.setAudioTextStatus("audio_text");
	};
};
//
//--------------------------------------------------------------------------------------
//Bedienhilfe anzeigen 
//--------------------------------------------------------------------------------------
// Methode ml_show_help() (z.B. ml_navigation.ml_show_help();)
//--------------------------------------------------------------------------------------
Navigation.prototype.ml_show_help = function(param) {
	//alert("Hilfe anzeigen.");
	if (param) {
		this.c_pause();
	}
	$("#mlid_div_help").css("left", "0px");
	//var myURL = "help/phelp.html";
	//$("#mlid_div_help_content").attr("src", myURL);
};
//--------------------------------------------------------------------------------------
//Bedienhilfe ausblenden 
//--------------------------------------------------------------------------------------
// Methode ml_hide_help() (z.B. ml_navigation.ml_hide_help();)
//--------------------------------------------------------------------------------------
Navigation.prototype.ml_hide_help = function() {
	//alert("Hilfe ausblenden.");
	$("#mlid_div_help").css("left", "-1000px");
	this.c_resume();
};
//
//--------------------------------------------------------------------------------------
//Menü ein- und ausfahren 
//--------------------------------------------------------------------------------------
// Methode toggle_menue(param) (z.B. ml_navigation.toggle_menue("resume");)
//--------------------------------------------------------------------------------------
Navigation.prototype.toggle_menue = function(param) {
	//alert("Navigation: toggle_menue");
	var ready = this.getContentReady();
	if (ready && this.menue_use) {
		if (param == "resume_btn") {
			this.menue_on = false;
			this.menue_aus();
		} else {
			this.menue_on = !this.menue_on;
			if (this.menue_on) {
				this.menue_ein();
			} else {
				this.menue_aus("resume");
			}
		}
	}
};
Navigation.prototype.menue_ein = function() {
	//alert("Navigation: menue_ein");
	this.c_pause();
	$("#mlid_div_menue").animate({
		position: 'relative',
		left: 0
	}, 1000);
	var myURL = "png/slider-right.png";
	$("#mlid_img_slider_png").attr("src", myURL);
};
Navigation.prototype.menue_aus = function(param) {
	//alert("Navigation: menue_aus");
	$("#mlid_div_menue").animate({
		position: 'relative',
		left: this.menue_pos_aus
	}, 1000);
	var myURL = "png/slider-left.png";
	$("#mlid_img_slider_png").attr("src", myURL);
	if (param == "resume") {
		this.c_resume();
	}
};
//
//--------------------------------------------------------------------------------------
//
//--------------------------------------------------------------------------------------      
function navArrayShuffle() {
	var tmp, rand;
	for(var i =0; i < this.length; i++){
		rand = Math.floor(Math.random() * this.length);
		tmp = this[i]; 
		this[i] = this[rand]; 
		this[rand] =tmp;
	}
}
//
Array.prototype.navShuffle = navArrayShuffle;
//--------------------------------------------------------------------------------------      
